{*******************************************************}
{                                                       }
{       TRichView                                       }
{       Basic form for spell checking                   }
{       (TNT-controls version)                           }
{                                                       }
{       RichView: Copyright (c) Sergey Tkachenko        }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}

{
  This form is not used directly. This is a parent class for:
  - TfrmRVTntSpell (RVTntSpellFrm.pas)
  - frmRVTntSpellWord (RVTntSpellWordFrm.pas)
}

unit RVTntCustomSpellFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Forms,
  Controls, StdCtrls, TNTForms, TntStdCtrls, TntClasses;

type
  TfrmRVTntCustomSpell = class(TTntForm)
    lblTxt: TTntLabel;
    lblCmb: TTntLabel;
    btnIgnore: TTntButton;
    btnIgnoreAll: TTntButton;
    btnChange: TTntButton;
    btnChangeAll: TTntButton;
    btnCancel: TTntButton;
    btnAdd: TTntButton;
    procedure TntFormCreate(Sender: TObject);
  private
    procedure SetModalResults;
    { Private declarations }
  public
    { Public declarations }
    function IsReplacingItemText: Boolean; dynamic;
    function GetStringsForSuggestions: TTntStrings; dynamic;
    function GetCorrectedText: WideString; dynamic;
  end;

implementation

{$R *.dfm}

{============================ TfrmRVCustomSpell ===============================}
function TfrmRVTntCustomSpell.GetStringsForSuggestions: TTntStrings;
begin
  Result := nil;
end;
{------------------------------------------------------------------------------}
function TfrmRVTntCustomSpell.GetCorrectedText: WideString;
begin
  Result := '';
end;
{------------------------------------------------------------------------------}
function TfrmRVTntCustomSpell.IsReplacingItemText: Boolean;
begin
  Result := False;
end;
{------------------------------------------------------------------------------}
procedure TfrmRVTntCustomSpell.SetModalResults;
begin
  btnIgnore.ModalResult := mrNo;
  btnIgnoreAll.ModalResult := mrNoToAll;
  btnChange.ModalResult := mrYes;
  btnChangeAll.ModalResult := mrYesToAll;
  btnAdd.ModalResult := mrOk;
  btnCancel.ModalResult := mrCancel;
end;
{------------------------------------------------------------------------------}
procedure TfrmRVTntCustomSpell.TntFormCreate(Sender: TObject);
begin
  SetModalResults;
end;

end.
